gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r20484 - gnunet-planetlab/gnunet_automatic_deployment


From: gnunet
Subject: [GNUnet-SVN] r20484 - gnunet-planetlab/gnunet_automatic_deployment
Date: Tue, 13 Mar 2012 19:16:36 +0100

Author: wachs
Date: 2012-03-13 19:16:36 +0100 (Tue, 13 Mar 2012)
New Revision: 20484

Added:
   gnunet-planetlab/gnunet_automatic_deployment/start_gnunet.sh
   gnunet-planetlab/gnunet_automatic_deployment/stop_gnunet.sh
Log:
basic scripts


Added: gnunet-planetlab/gnunet_automatic_deployment/start_gnunet.sh
===================================================================
--- gnunet-planetlab/gnunet_automatic_deployment/start_gnunet.sh                
                (rev 0)
+++ gnunet-planetlab/gnunet_automatic_deployment/start_gnunet.sh        
2012-03-13 18:16:36 UTC (rev 20484)
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+nodes_file="nodes.txt"
+working_nodes_file="./tmp/working_nodes.txt"
+working_nodes_filtered_file="./tmp/working_nodes_filtered.txt"
+parallelism=10
+timeout=900
+
+cmd_pssh="pssh -O StrictHostKeychecking=no -t $timeout -p $parallelism -v -l 
tum_dht_testing -h $working_nodes_filtered_file -P "
+cmd_pscp="pscp -O StrictHostKeychecking=no -p $parallelism -v -l 
tum_dht_testing -h $working_nodes_filtered_file "
+
+deployment_dir="/home/tum_dht_testing/deploy"
+
+#rm -rf tmp
+echo "Prepare distribution tarball"
+mkdir tmp 2> /dev/null
+mkdir tmp/deploy 2> /dev/null
+cp automation_scripts/* tmp/deploy
+cp contrib/* tmp/deploy
+cd tmp; tar czf deploy.tar.gz deploy/*
+if [ $? -ne 0 ];
+then
+       echo "Failed to build tarbal"
+       exit 1;
+fi
+cd ..
+
+if [ 0 -eq 1 ];
+then
+
+echo "Determenining working nodes ..."
+pssh -O StrictHostKeychecking=no -p 10 -t 20 -v -l tum_dht_testing -h 
$nodes_file -P sudo date > $working_nodes_file
+grep SUCCESS $working_nodes_file | awk '{print $4}' > 
$working_nodes_filtered_file
+count_working=`cat $working_nodes_filtered_file | wc -l`
+count_total=`cat $nodes_file | wc -l`
+echo "Found $count_working working nodes out of $count_total"
+fi
+echo "Starting gnunet"
+$cmd_pssh "gnunet-arm -s"
+


Property changes on: 
gnunet-planetlab/gnunet_automatic_deployment/start_gnunet.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: gnunet-planetlab/gnunet_automatic_deployment/stop_gnunet.sh
===================================================================
--- gnunet-planetlab/gnunet_automatic_deployment/stop_gnunet.sh                 
        (rev 0)
+++ gnunet-planetlab/gnunet_automatic_deployment/stop_gnunet.sh 2012-03-13 
18:16:36 UTC (rev 20484)
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+nodes_file="nodes.txt"
+working_nodes_file="./tmp/working_nodes.txt"
+working_nodes_filtered_file="./tmp/working_nodes_filtered.txt"
+parallelism=10
+timeout=900
+
+cmd_pssh="pssh -O StrictHostKeychecking=no -t $timeout -p $parallelism -v -l 
tum_dht_testing -h $working_nodes_filtered_file -P "
+cmd_pscp="pscp -O StrictHostKeychecking=no -p $parallelism -v -l 
tum_dht_testing -h $working_nodes_filtered_file "
+
+deployment_dir="/home/tum_dht_testing/deploy"
+
+#rm -rf tmp
+echo "Prepare distribution tarball"
+mkdir tmp 2> /dev/null
+mkdir tmp/deploy 2> /dev/null
+cp automation_scripts/* tmp/deploy
+cp contrib/* tmp/deploy
+cd tmp; tar czf deploy.tar.gz deploy/*
+if [ $? -ne 0 ];
+then
+       echo "Failed to build tarbal"
+       exit 1;
+fi
+cd ..
+
+if [ 0 -eq 1 ];
+then
+
+echo "Determenining working nodes ..."
+pssh -O StrictHostKeychecking=no -p 10 -t 20 -v -l tum_dht_testing -h 
$nodes_file -P sudo date > $working_nodes_file
+grep SUCCESS $working_nodes_file | awk '{print $4}' > 
$working_nodes_filtered_file
+count_working=`cat $working_nodes_filtered_file | wc -l`
+count_total=`cat $nodes_file | wc -l`
+echo "Found $count_working working nodes out of $count_total"
+fi
+echo "Starting gnunet"
+$cmd_pssh "gnunet-arm -e"
+


Property changes on: gnunet-planetlab/gnunet_automatic_deployment/stop_gnunet.sh
___________________________________________________________________
Added: svn:executable
   + *




reply via email to

[Prev in Thread] Current Thread [Next in Thread]